# jupyter-dash release process:

- Update the version number in two places:
  - `jupyter_dash/version.py`
  - `extensions/jupyterlab/package.json`
- Update `CHANGELOG.md` using the new version number and any changes since the last release
- Empty old tarballs from `dist/` and `jupyter_dash/labextension/dist/`
- Build the extension: `python setup.py build_js`
- Build the PyPI release: `python setup.py sdist bdist_wheel`
- Sanity:
  - In an env with jupyter installed, `pip install dist/jupyter_dash<...>.whl`
  - Run jupyter lab - it should ask to rebuild. After it finishes, make sure it’s working and using the newly installed package
- Upload to PyPI: `twine upload dist/*`
- Build the conda release, in an env with conda: `conda build conda.recipe/`
- Find and run the command it prints near the end of its output: `anaconda upload <path>`
- commit all of this to master - you should see:
  - the version change (two places you explicitly changed, plus one autogenerated by build_js)
  - `CHANGELOG.md`
  - the new extension tarball in `jupyter_dash/labextension/dist/` replacing the old
- tag it: `git tag -a ‘vX.Y.Z’ -m ‘vX.Y.Z’`
- `git push origin master`
- `git push origin —tags`
- on GitHub, draft a new release - choose the new tag, give it exactly the same name as the tag. For the description, copy in the changelog entry for the new release.
